<?php
/*
Plugin Name: GridValley Projects
Plugin URI: 
Description: A Custom Post Type Plugin To Use With GridValley Themes ( This plugin functionality might not working properly on another theme )
Version: 1.0.0
Author: GridValley
Author URI: http://www.gridvalley.net
License: 
*/

// add action to create projects post type
add_action( 'init', 'gridvalley_create_projects' );
if( !function_exists('gridvalley_create_projects') ){
	function gridvalley_create_projects() {

		$projects_slug = 'projects';
		$projects_category_slug = 'projects_category';
		$projects_tag_slug = 'projects_tag';		
		
		register_post_type( 'projects',
			array(
				'labels' => array(
					'name'               => esc_attr__('Projects', 'gridvalley-core'),
					'singular_name'      => esc_attr__('Projects', 'gridvalley-core'),
					'add_new'            => esc_attr__('Add New', 'gridvalley-core'),
					'add_new_item'       => esc_attr__('Add New Projects', 'gridvalley-core'),
					'edit_item'          => esc_attr__('Edit Projects', 'gridvalley-core'),
					'new_item'           => esc_attr__('New Projects', 'gridvalley-core'),
					'all_items'          => esc_attr__('All Projects', 'gridvalley-core'),
					'view_item'          => esc_attr__('View Projects', 'gridvalley-core'),
					'search_items'       => esc_attr__('Search Projects', 'gridvalley-core'),
					'not_found'          => esc_attr__('No Projects found', 'gridvalley-core'),
					'not_found_in_trash' => esc_attr__('No Projects found in Trash', 'gridvalley-core'),
					'parent_item_colon'  => '',
					'menu_name'          => esc_attr__('Projects', 'gridvalley-core')
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,				
				'rewrite'            => array( 'slug' => $projects_slug  ),
				'capability_type'    => 'post',
				'menu_icon'    		=> 'dashicons-admin-users',
				'has_archive'        => true,
				'hierarchical'       => true,
				'menu_position'      => 5,
				'supports'           => array( 'title', 'editor', 'thumbnail','excerpt')
			)
		);
		
		// create projects categories
		register_taxonomy(
			'projects_category', array("projects"), array(
				'hierarchical' => true,
				'show_admin_column' => true,
				'label' => esc_attr__('Projects Categories', 'gridvalley-core'), 
				'singular_label' => esc_attr__('Projects Category', 'gridvalley-core'), 
				'rewrite' => array( 'slug' => $projects_category_slug  )));

		// add filter to style single template
		add_filter('single_template', 'gridvalley_register_projects_template');
		
	}
}

if( !function_exists('gridvalley_register_projects_template') ){
	function gridvalley_register_projects_template($single_template) {
		global $post;

		if ($post->post_type == 'projects') {
			$single_template = dirname( __FILE__ ) . '/single-project.php';
		}
		return $single_template;	
	}
}	
?>