<?php
	/*	
	*	GridValley Services Single
	*	---------------------------------------------------------------------
	*	This file contains services single detail page
	*	---------------------------------------------------------------------
	*/
	
	if(is_active_sidebar('default-sidebar')){
		$content_col = 'col-lg-8 col-md-12';
	}else{
		$content_col = 'col-lg-12 col-md-12';
	}
	
	if (class_exists('ACF')) {
		$sidebar_status = get_field('sidebar_status',get_the_ID());
		if($sidebar_status == 'true'){
			$sidebar_position = get_field('sidebar_position',get_the_ID());
			$content_col = 'col-lg-8 col-md-12';
			if($sidebar_position == 'pull-left'){
				$custom_css ='.section-content .container > .row{flex-direction: row-reverse;}';
				
				wp_enqueue_style('industroz-inline-style',get_template_directory_uri() . '/assets/css/inline-style.css');
				wp_add_inline_style( 'industroz-inline-style', $custom_css);
			}else{
				
			}
		}else{
			$content_col = 'col-lg-12 col-md-12';
		}
	}

	get_header(); ?>
	<div class="section-full small-device  p-t80 p-b70 bg-white">
		<div class="section-content">
			<div class="container">
				<div class="row">
					<div class="<?php echo esc_attr($content_col); ?>">
						<?php 
						while ( have_posts() ){ 
							the_post(); 
							global $post;
							
							$accordions_main_title = get_field('accordions_main_title',$post->ID);
							$service_accordions = get_field('service_accordions',$post->ID);
							
							?>
							<div class="wt-box services-etc m-b30">
								<?php 
								if(has_excerpt()){
									the_excerpt();
								} 
								if(has_post_thumbnail()){ ?>
									<div class="wt-media m-b30">
										<?php echo get_the_post_thumbnail($post->ID, 'full'); ?>
									</div>
									<?php
								} ?>  
								<div class="wt-info">
									<?php the_content(); ?>                                           
								</div>
							</div>
							<div>
								<h2><?php echo esc_attr($accordions_main_title); ?></h2>
								<div class="wt-accordion acc-bg-gray" id="accordion5">
									<?php
									$custom_counter = 0;
									if(!empty($service_accordions)){
										foreach($service_accordions as $service_accordion){ ?>
											<div class="panel wt-panel">
												<div class="acod-head <?php echo esc_attr($custom_counter == 0 ? 'acc-actives' : ''); ?>">
													<h4 class="acod-title">
														<a data-toggle="collapse" href="#collapse-<?php echo esc_attr($custom_counter); ?>" class="<?php echo esc_attr($custom_counter == 0 ? '' : 'collapsed'); ?>" data-parent="#accordion5" >
														   <?php echo esc_attr($service_accordion['title']); ?><span class="indicator"><i class="fa fa-plus"></i></span>
														</a>
													</h4>
												</div>
												<div id="collapse-<?php echo esc_attr($custom_counter); ?>" class="acod-body collapse <?php echo esc_attr($custom_counter == 0 ? 'show' : ''); ?> bg-gray">
													<div class="acod-content p-a15"><p><?php echo esc_attr($service_accordion['description']); ?></p></div>
												</div>
											</div>	
											<?php
											$custom_counter++;
										}	
									}
									 ?>
								</div>                                   
							</div> 
							<?php
						} ?>
					</div>
					<?php
					if (class_exists('ACF')) {
						$sidebar_status = get_field('sidebar_status',get_the_ID());
						if($sidebar_status == 'true'){ ?>
							<div class="col-lg-4 col-md-12 rightSidebar">
								<?php dynamic_sidebar('Blog Sidebar'); ?>
							</div>
							<?php
						}
					}else if(is_active_sidebar('default-sidebar')){
						?>
						<div class="col-lg-4 col-md-12 rightSidebar">
							<?php dynamic_sidebar('Blog Sidebar'); ?>
						</div>
						<?php
					} ?>
				</div>                            
			</div>                                 
		</div>
	</div>
	<?php get_footer(); ?>