<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
	
add_action( 'widgets_init', 'industroz_about_widget' );
if( !function_exists('industroz_about_widget') ){
	function industroz_about_widget() {
		register_widget( 'Widget_About' );
	}
}	
	
class Widget_About extends WP_Widget {

	/**
	 * @internal
	 */
	public function __construct() {
		$widget_ops = array( 'description' => '' );
		parent::__construct( false, esc_attr__( 'Industroz: About Widget', 'gridvalley-core' ), $widget_ops );
	}

	/**
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );	
		$logo_url = $instance['logo_url'];
		$style = $instance['style'];	
		$widget_phone = $instance['widget_phone'];	
		$widget_address = $instance['widget_address'];	
		$widget_email = $instance['widget_email'];	
		$description = $instance['description'];
	
		require_once ('views/widget.php');

	}

	/**
	 * @param array $new_instance
	 * @param array $old_instance
	 *
	 * @return array
	 */
	public function update( $new_instance, $old_instance ) {
		return $new_instance;
	}

	/**
	 * @param array $instance
	 *
	 * @return string|void
	 */
	public function form( $instance ) {
		$title = isset($instance['title'])? $instance['title']: '';
		$logo_url = isset($instance['logo_url'])? $instance['logo_url']: '';
		$widget_address = isset($instance['widget_address'])? $instance['widget_address']: '';
		$style = isset($instance['style'])? $instance['style']: '';
		$widget_phone = isset($instance['widget_phone'])? $instance['widget_phone']: '';
		$widget_email = isset($instance['widget_email'])? $instance['widget_email']: '';
		$description = isset($instance['description'])? $instance['description']: '';
			
		?>
		<!-- Widget title --> 
			
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php echo esc_attr__('Title :', 'gridvalley-core'); ?></label> 
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('style')); ?>"><?php echo esc_attr__('Style :', 'gridvalley-core'); ?></label>		
			<select class="widefat" name="<?php echo esc_attr($this->get_field_name('style')); ?>" id="<?php echo esc_attr($this->get_field_id('style')); ?>">
				<option value="style1" <?php if ($style == 'style1'){ echo esc_attr__(' selected ','gridvalley-core');} ?>><?php echo esc_attr__('Style 1','gridvalley-core'); ?></option>				
				<option value="style2" <?php if ($style == 'style2'){ echo esc_attr__(' selected ','gridvalley-core');} ?>><?php echo esc_attr__('Style 2','gridvalley-core'); ?></option>				
						
			</select> 
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('logo_url')); ?>"><?php echo esc_attr__('Logo Url:', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('logo_url')); ?>" name="<?php echo esc_attr($this->get_field_name('logo_url')); ?>" type="text" value="<?php echo esc_attr($logo_url); ?>" />
		</p>
		<!-- Widget address --> 
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('widget_address')); ?>"><?php echo esc_attr__('Address:', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_address')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_address')); ?>" type="text" value="<?php echo esc_attr($widget_address); ?>" />
		</p>
		
		<!-- Widget first email --> 
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('widget_email')); ?>"><?php echo esc_attr__('First Email address:', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_email')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_email')); ?>" type="text" value="<?php echo esc_attr($widget_email); ?>" />
		</p>
		
		<!-- Widget first phone --> 
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('widget_phone')); ?>"><?php echo esc_attr__('First Phone Number:', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_phone')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_phone')); ?>" type="text" value="<?php echo esc_attr($widget_phone); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('description')); ?>"><?php echo esc_attr__('Description:', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('description')); ?>" name="<?php echo esc_attr($this->get_field_name('description')); ?>" type="text" value="<?php echo esc_attr($description); ?>" />
		</p>
	<?php
	}
}