<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
	
add_action( 'widgets_init', 'industroz_download_brochure_widget' );
if( !function_exists('industroz_download_brochure_widget') ){
	function industroz_download_brochure_widget() {
		register_widget( 'Widget_Download_Brochure' );
	}
}	
	
class Widget_Download_Brochure extends WP_Widget {

	/**
	 * @internal
	 */
	public function __construct() {
		$widget_ops = array( 'description' => '' );
		parent::__construct( false, esc_attr__( 'Industroz: Download Brochure', 'gridvalley-core' ), $widget_ops );
	}

	/**
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		extract( $args );
		
		$title = apply_filters( 'widget_title', $instance['title'] );
		$description = isset($instance['description'])? $instance['description']: '';
		$file1_title = isset($instance['file1_title'])? $instance['file1_title']: '';
		$file1_url = isset($instance['file1_url'])? $instance['file1_url']: '';
		$file1_icon_class = isset($instance['file1_icon_class'])? $instance['file1_icon_class']: '';
		$file2_title = isset($instance['file2_title'])? $instance['file2_title']: '';
		$file2_url = isset($instance['file2_url'])? $instance['file2_url']: '';
		$file2_icon_class = isset($instance['file2_icon_class'])? $instance['file2_icon_class']: '';
		$file3_title = isset($instance['file3_title'])? $instance['file3_title']: '';
		$file3_url = isset($instance['file3_url'])? $instance['file3_url']: '';
		$file3_icon_class = isset($instance['file3_icon_class'])? $instance['file3_icon_class']: '';
		
		include ('views/widget.php');
	}

	/**
	 * @param array $new_instance
	 * @param array $old_instance
	 *
	 * @return array
	 */
	public function update( $new_instance, $old_instance ) {
		return $new_instance;
	}

	/**
	 * @param array $instance
	 *
	 * @return string|void
	 */
	public function form( $instance ) {
		$title = isset($instance['title'])? $instance['title']: '';
		$description = isset($instance['description'])? $instance['description']: '';
		$file1_title = isset($instance['file1_title'])? $instance['file1_title']: '';
		$file1_url = isset($instance['file1_url'])? $instance['file1_url']: '';
		$file1_icon_class = isset($instance['file1_icon_class'])? $instance['file1_icon_class']: '';
		$file2_title = isset($instance['file2_title'])? $instance['file2_title']: '';
		$file2_url = isset($instance['file2_url'])? $instance['file2_url']: '';
		$file2_icon_class = isset($instance['file2_icon_class'])? $instance['file2_icon_class']: '';
		$file3_title = isset($instance['file3_title'])? $instance['file3_title']: '';
		$file3_url = isset($instance['file3_url'])? $instance['file3_url']: '';
		$file3_icon_class = isset($instance['file3_icon_class'])? $instance['file3_icon_class']: '';
		?>

		<!-- Text Input -->
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php echo esc_attr__('Title :', 'gridvalley-core'); ?></label> 
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('description')); ?>"><?php echo esc_attr__('Description :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('description')); ?>" name="<?php echo esc_attr($this->get_field_name('description')); ?>" type="text" value="<?php echo esc_attr($description); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file1_title')); ?>"><?php echo esc_attr__('File 1 Title :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file1_title')); ?>" name="<?php echo esc_attr($this->get_field_name('file1_title')); ?>" type="text" value="<?php echo esc_attr($file1_title); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file1_url')); ?>"><?php echo esc_attr__('File 1 Url :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file1_url')); ?>" name="<?php echo esc_attr($this->get_field_name('file1_url')); ?>" type="text" value="<?php echo esc_attr($file1_url); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file1_icon_class')); ?>"><?php echo esc_attr__('File 1 Icon Class :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file1_icon_class')); ?>" name="<?php echo esc_attr($this->get_field_name('file1_icon_class')); ?>" type="text" value="<?php echo esc_attr($file1_icon_class); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file2_title')); ?>"><?php echo esc_attr__('File 2 Title :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file2_title')); ?>" name="<?php echo esc_attr($this->get_field_name('file2_title')); ?>" type="text" value="<?php echo esc_attr($file2_title); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file2_url')); ?>"><?php echo esc_attr__('File 2 Url :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file2_url')); ?>" name="<?php echo esc_attr($this->get_field_name('file2_url')); ?>" type="text" value="<?php echo esc_attr($file2_url); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file2_icon_class')); ?>"><?php echo esc_attr__('File 2 Icon Class :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file2_icon_class')); ?>" name="<?php echo esc_attr($this->get_field_name('file2_icon_class')); ?>" type="text" value="<?php echo esc_attr($file2_icon_class); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file3_title')); ?>"><?php echo esc_attr__('File 3 Title :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file3_title')); ?>" name="<?php echo esc_attr($this->get_field_name('file3_title')); ?>" type="text" value="<?php echo esc_attr($file3_title); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file3_url')); ?>"><?php echo esc_attr__('File 3 Url :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file3_url')); ?>" name="<?php echo esc_attr($this->get_field_name('file3_url')); ?>" type="text" value="<?php echo esc_attr($file3_url); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('file3_icon_class')); ?>"><?php echo esc_attr__('File 3 Icon Class :', 'gridvalley-core'); ?></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('file3_icon_class')); ?>" name="<?php echo esc_attr($this->get_field_name('file3_icon_class')); ?>" type="text" value="<?php echo esc_attr($file3_icon_class); ?>" />
		</p>
	<?php
	}
}