<?php
/**
 * The template for displaying the 404 template in the Industroz theme.
 *
 * @package WordPress
 * @subpackage Industroz
 * @since 1.0.0
 */

get_header();
?>
	<div class="page-content">
		<!-- Error SECTION START -->
		<div class="error-full-page bg-cover overlay-wraper">
			<div class="overlay-main bg-black opacity-07"></div>

			<div class="error-full-page-inner">
				<div class="error-full-page-inner-info">
					<div class="error-media">
						<img src="<?php echo esc_url(get_template_directory_uri()) ?>/assets/images/404.png" alt="<?php echo esc_attr__('img','industroz'); ?>">
					</div>
					<h3 class="title-style-2"><?php echo esc_attr__('Error','industroz'); ?></h3>
					<strong><?php echo esc_attr__('404','industroz'); ?></strong>
					<h4 class="title-style-2">
						<img src="<?php echo esc_url(get_template_directory_uri()) ?>/assets/images/404-sep.png" alt="<?php echo esc_attr__('img','industroz'); ?>" class="e-left-img">
						<?php echo esc_attr__('Oops! Looks like the page is gone.','industroz'); ?>
						<img src="<?php echo esc_url(get_template_directory_uri()) ?>/assets/images/404-sep.png" alt="<?php echo esc_attr__('img','industroz'); ?>" class="e-right-img">
					</h4>
					<p><?php echo esc_attr__('We’re sorry but we can’t seem to find the page you requested. This might be because you have typed the web address incorrectly.','industroz'); ?></p>
					<a href="<?php echo esc_url(home_url('/')); ?>" class="site-button site-btn-effect"><?php echo esc_attr__('GO TO HOME','industroz'); ?></a>
				</div>
			</div>
		</div>   
		<!-- Error  SECTION END --> 
	</div>
<?php
get_footer();