<?php
/**
 * Register widget areas.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function industroz_sidebar_registration() {
	
	$footer_col_layout = 'col-lg-4';
	
	if(class_exists('ACF')){
		$footer_col_layout = get_field('footer_column_layout','option');
		
		if(isset($footer_col_layout)){
			$footer_col_layout = $footer_col_layout;
		}else{
			$footer_col_layout = 'col-lg-4';
		}
	}
	
	register_sidebar( array(
		'name'          => esc_attr__( 'Blog Sidebar', 'industroz' ),
		'id'            => 'default-sidebar',
		'description'   => esc_attr__( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'industroz' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s sidebar-widget industroz-widget p-a30">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );

	// Footer
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer', 'industroz' ),
		'id'            => 'sidebar-footer',
		'description'   => esc_attr__( 'Add widgets here to appear in your footer.', 'industroz' ),
		'before_widget' => '<div id="%1$s" class="'.esc_attr($footer_col_layout).' col-md-6 col-sm-12 %2$s industroz-widget"><div class="widget footer-widget">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	// Mini Cart
	register_sidebar( array(
		'name'          => esc_attr__( 'Mini Cart', 'industroz' ),
		'id'            => 'mini-cart',
		'description'   => esc_attr__( 'Add mini cart widget here.', 'industroz' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	// Footer
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer2', 'industroz' ),
		'id'            => 'sidebar-footer2',
		'description'   => esc_attr__( 'Add widgets here to appear in your footer.(Works for footer style 1)', 'industroz' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	// Footer
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer3', 'industroz' ),
		'id'            => 'sidebar-footer3',
		'description'   => esc_attr__( 'Add widgets here to appear in your footer.(Works for footer style 1)', 'industroz' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	// Footer
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer4', 'industroz' ),
		'id'            => 'sidebar-footer4',
		'description'   => esc_attr__( 'Add widgets here to appear in your footer.(Works for footer style 1)', 'industroz' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}

add_action( 'widgets_init', 'industroz_sidebar_registration' );