<?php
/**
 * Displays the theme header
 *
 * @package WordPress
 * @subpackage Industroz
 * @since 1.0.0
 */
	if( is_404() ){
		return;
	}
	if (class_exists('ACF')) {
		$logo = get_field('logo', 'option');
		$header_style = get_field('select_header_style', 'option');
		$timings = get_field('timings', 'option');
		$contact_number = get_field('contact_number', 'option');
		$email_address = get_field('email_address', 'option');
		$button_text = get_field('button_text', 'option');
		$button_url = get_field('button_url', 'option');
		$search = get_field('search', 'option');
		$request_form = get_field('request_form','option');
		$inner_pages_logo = get_field('inner_pages_logo','option');
		
		$facebook_social = get_field('facebook_social', 'option');
		$google_social = get_field('google_social', 'option');
		$linkedin_social = get_field('linkedin_social', 'option');
		$twitter_social = get_field('twitter_social', 'option');
		$instagram_social = get_field('instagram_social', 'option');
		$youtube_social = get_field('youtube_social', 'option');
		
		if(isset($logo) && !empty($logo)){
			$logo_url = $logo;
		}else{
			$logo_url = get_template_directory_uri() . '/assets/images/logo.png'; 
		}
	}
	if(isset($header_style) && $header_style == 'header-1'){
		$header_info = get_field('header_info', 'option');
		
		?>
		<!-- HEADER START -->
        <header class="site-header header-style-1 mobile-sider-drawer-menu">

            <!-- SITE Search -->
            <div id="search-toggle-block">
                <div id="search"> 
                    <?php get_search_form(); ?>
                </div>
            </div>
            <div class="top-bar site-bg-secondry">
                <div class="container">
					<div class="d-flex justify-content-between">
						<div class="wt-topbar-left d-flex flex-wrap align-content-start">
							<ul class="wt-topbar-info e-p-bx text-white">
								<li><?php echo esc_attr($timings); ?></li>
								<li><i class="fa fa-phone"></i><?php echo esc_attr($contact_number); ?></li>
								<li><i class="fa fa-envelope"></i><?php echo esc_attr($email_address); ?></li>
							</ul>
						</div>
						<?php
						if($search == 'enable'){ ?>
							<div class="wt-topbar-right d-flex flex-wrap align-content-center">
								<div class="header-search">
									<a href="javascript:;" class="header-search-icon"><i class="fa fa-search"></i></a>
								</div>                          
							</div>
							<?php
						} ?>
					</div>
                </div>
            </div>    

            <div class="container header-middle clearfix">
                <div class="logo-header">
                    <div class="logo-header-inner logo-header-one">
                        <a href="<?php echo esc_url(home_url('/')); ?>">
							<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
                        </a>
                    </div>
                </div>
                
                <div class="header-info">
                    <ul>
                        <?php
						foreach($header_info as $info){ ?>
							<li>
								<div class="icon-md">
									<span class="icon-cell"><i class="<?php echo esc_attr($info['info_icon_class']); ?>"></i></span>
								</div>
								<div class="icon-content">
									<strong><?php echo esc_attr($info['info_title']); ?></strong>
									<span><?php echo esc_attr($info['info_caption']); ?></span>
								</div>
							</li>	
							<?php
						} ?>
                    </ul>
                </div> 
                
           </div>
            <div class="sticky-header main-bar-wraper  navbar-expand-lg">
                <div class="main-bar">                       
                       <div class="container clearfix">                       
                            <!-- NAV Toggle Button -->
                            <button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
                                <span class="sr-only"><?php echo esc_attr__('Toggle navigation','industroz'); ?></span>
                                <span class="icon-bar icon-bar-first"></span>
                                <span class="icon-bar icon-bar-two"></span>
                                <span class="icon-bar icon-bar-three"></span>
                            </button>
                             
                            <!-- MAIN Vav -->
                            <div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
                                <?php
								// navigation
								if( has_nav_menu('primary') ){
									$args = array(
										'menu'=>'',
										'menu_class'=> 'nav navbar-nav',
										'menu_id'=> '',
										'container'=> 'ul',
										'container_class'=> '',
										'container_id'=> '',
										'fallback_cb'=> '',
										'before'=> '',
										'after'=> '',
										'link_before'=> '',
										'link_after'=> '',
										'echo'=> 'true',
										'depth'=> '0',
										'theme_location'=>'primary', 
										'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
										'item_spacing'=>'preserve'	 
									);
									wp_nav_menu( $args);
								} ?>
                            </div>
							<?php
							if($request_form == 'enable'){ ?>
								<div class="header-nav-request">
									<a id="contact-slide-show" href="#" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
								</div>
								<?php
							}else{ ?>
								<div class="header-nav-request">
									<a href="<?php echo esc_url($button_url); ?>" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
								</div>
								<?php
							} ?>
                        </div>    
                    </div>
                </div>
        </header>
		<?php
	}else if(isset($header_style) && $header_style == 'header-2'){ ?>
		<!-- HEADER START -->
        <header class="site-header header-style-2 mobile-sider-drawer-menu">
      
            <div class="top-bar site-bg-color">
                <div class="container">

					<div class="d-flex justify-content-between">
						<div class="wt-topbar-left d-flex flex-wrap align-content-start">
							<ul class="wt-topbar-info e-p-bx text-white">
								<li><?php echo esc_attr($timings); ?></li>
							</ul>
						</div>
						
						<div class="wt-topbar-right d-flex flex-wrap align-content-center">
							<ul class="wt-topbar-info-2 e-p-bx text-white">
								<li><i class="fa fa-phone"></i><?php echo esc_attr($contact_number); ?></li>
								<li><i class="fa fa-envelope"></i><?php echo esc_attr($email_address); ?></li>
							</ul> 
			
							<ul class="social-icons">
								<?php
								if($google_social <> ''){ ?>
									<li><a href="<?php echo esc_url($google_social); ?>" class="fa fa-google"></a></li>
									<?php
								}
								
								if($linkedin_social <> ''){ ?>
									<li><a href="<?php echo esc_url($linkedin_social); ?>" class="fa fa-linkedin"></a></li>
									<?php
								}
								if($twitter_social <> ''){ ?>
									<li><a href="<?php echo esc_url($twitter_social); ?>" class="fa fa-twitter"></a></li>
									<?php
								}
								if($facebook_social <> ''){ ?>
									<li><a href="<?php echo esc_url($facebook_social); ?>" class="fa fa-facebook"></a></li>
									<?php
								}
								if($youtube_social <> ''){ ?>
									<li><a href="<?php echo esc_url($youtube_social); ?>" class="fa fa-youtube"></a></li>
									<?php
								}
								if($instagram_social <> ''){ ?>
									<li><a href="<?php echo esc_url($instagram_social); ?>" class="fa fa-instagram"></a></li>
									<?php
								}?>
							</ul> 
						</div>
					</div>
                </div>
            </div>  
                       
           <div class="sticky-header main-bar-wraper  navbar-expand-lg">
                <div class="main-bar">                       
					<div class="container clearfix"> 
						<div class="logo-header">
							<div class="logo-header-inner logo-header-one">
								<a href="<?php echo esc_url(home_url('/')); ?>">
									<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
								</a>
							</div>
						</div>  
						
						<!-- NAV Toggle Button -->
						<button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
							<span class="sr-only"><?php echo esc_attr__('Toggle navigation','industroz'); ?></span>
							<span class="icon-bar icon-bar-first"></span>
							<span class="icon-bar icon-bar-two"></span>
							<span class="icon-bar icon-bar-three"></span>
						</button> 
						<div class="extra-nav header-2-nav">
							<div class="extra-cell">
								<?php
								if($search == 'enable'){ ?>
									<div class="header-search">
										<a href="javascript:void(0);" class="header-search-icon"><i class="fa fa-search"></i></a>
									</div> 
									<?php
								} 
							
								if($request_form == 'enable'){ ?>
									<div class="header-nav-request">
										<a id="contact-slide-show" href="#" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
									</div>
									<?php
								}else{ ?>
									<div class="header-nav-request">
										<a href="<?php echo esc_url($button_url); ?>" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
									</div>
									<?php
								} ?>
							</div>
						 </div>                                                                       

						 
						<!-- MAIN Vav -->
						<div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
							<?php
							// navigation
							if( has_nav_menu('primary') ){
								$args = array(
									'menu'=>'',
									'menu_class'=> 'nav navbar-nav',
									'menu_id'=> '',
									'container'=> 'ul',
									'container_class'=> '',
									'container_id'=> '',
									'fallback_cb'=> '',
									'before'=> '',
									'after'=> '',
									'link_before'=> '',
									'link_after'=> '',
									'echo'=> 'true',
									'depth'=> '0',
									'theme_location'=>'primary', 
									'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
									'item_spacing'=>'preserve'	 
								);
								wp_nav_menu( $args);
							} ?>

						</div>
						<?php
						if($search == 'enable'){ ?>
							<!-- SITE Search -->
							<div id="search-toggle-block">
								<div id="search"> 
									<?php get_search_form(); ?>
								</div>
							</div>                                
							<?php
						} ?>
					</div>    
				</div>  
            </div>
            
        </header>
		<?php
	}else if(isset($header_style) && $header_style == 'header-3'){ ?>
		<!-- HEADER START -->
        <header class="site-header header-style-3 mobile-sider-drawer-menu">
      
            <div class="top-bar site-bg-secondry">
                <div class="container">

					<div class="d-flex justify-content-between">
						<div class="wt-topbar-left d-flex flex-wrap align-content-start">
							<ul class="wt-topbar-info e-p-bx text-white">
								<li><?php echo esc_attr($timings); ?></li>
							</ul>
						</div>
						
						<div class="wt-topbar-right d-flex flex-wrap align-content-center">
							<ul class="wt-topbar-info-2 e-p-bx text-white">
								<li><i class="fa fa-phone"></i><?php echo esc_attr($contact_number); ?></li>
								<li><i class="fa fa-envelope"></i><?php echo esc_attr($email_address); ?></li>
							</ul> 
			
							<ul class="social-icons">
								<?php
								if($google_social <> ''){ ?>
									<li><a href="<?php echo esc_url($google_social); ?>" class="fa fa-google"></a></li>
									<?php
								}
								
								if($linkedin_social <> ''){ ?>
									<li><a href="<?php echo esc_url($linkedin_social); ?>" class="fa fa-linkedin"></a></li>
									<?php
								}
								if($twitter_social <> ''){ ?>
									<li><a href="<?php echo esc_url($twitter_social); ?>" class="fa fa-twitter"></a></li>
									<?php
								}
								if($facebook_social <> ''){ ?>
									<li><a href="<?php echo esc_url($facebook_social); ?>" class="fa fa-facebook"></a></li>
									<?php
								}
								if($youtube_social <> ''){ ?>
									<li><a href="<?php echo esc_url($youtube_social); ?>" class="fa fa-youtube"></a></li>
									<?php
								}
								if($instagram_social <> ''){ ?>
									<li><a href="<?php echo esc_url($instagram_social); ?>" class="fa fa-instagram"></a></li>
									<?php
								}?>
							</ul>
						</div>
					</div>
                </div>
            </div>  
           <div class="sticky-header main-bar-wraper  navbar-expand-lg">
                <div class="main-bar">                       
					<div class="container clearfix"> 
                       
						<div class="logo-header">
							<div class="logo-header-inner logo-header-one">
								<a href="<?php echo esc_url(home_url('/')); ?>">
									<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
								</a>
							</div>
						</div>  
						<!-- NAV Toggle Button -->
						<button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
							<span class="sr-only"><?php echo esc_attr__('Toggle navigation','industroz'); ?></span>
							<span class="icon-bar icon-bar-first"></span>
							<span class="icon-bar icon-bar-two"></span>
							<span class="icon-bar icon-bar-three"></span>
						</button>   
						<div class="extra-nav header-2-nav">
							<div class="extra-cell">
								<?php
								if($search == 'enable'){ ?>
									<div class="header-search">
										<a href="javascript:void(0);" class="header-search-icon"><i class="fa fa-search"></i></a>
									</div> 
									<?php
								} 
								if($request_form == 'enable'){ ?>
									<div class="header-nav-request">
										<a id="contact-slide-show" href="#" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
									</div>
									<?php
								}else{ ?>
									<div class="header-nav-request">
										<a href="<?php echo esc_url($button_url); ?>" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
									</div>
									<?php
								}  ?>
							</div>
						 </div> 
						<!-- MAIN Vav -->
						<div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
					
							<?php
							// navigation
							if( has_nav_menu('primary') ){
								$args = array(
									'menu'=>'',
									'menu_class'=> 'nav navbar-nav',
									'menu_id'=> '',
									'container'=> 'ul',
									'container_class'=> '',
									'container_id'=> '',
									'fallback_cb'=> '',
									'before'=> '',
									'after'=> '',
									'link_before'=> '',
									'link_after'=> '',
									'echo'=> 'true',
									'depth'=> '0',
									'theme_location'=>'primary', 
									'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
									'item_spacing'=>'preserve'	 
								);
								wp_nav_menu( $args);
							} ?>
						</div>
						<!-- SITE Search -->
						<div id="search-toggle-block">
							<div id="search"> 
								<?php get_search_form(); ?>
							</div>
						</div>
					</div>    
				</div>
            </div>
            
        </header>
		<?php
	}else if(isset($header_style) && $header_style == 'header-4'){
		$page_id = get_the_ID();
		$page_sub_header_status = get_field('sub_header_status', $page_id);
		if(isset($page_sub_header_status)){
			$page_sub_header_status = $page_sub_header_status;
		}else{
			$page_sub_header_status = 'true';
		}	
		?>
		
		<?php if(is_home() || is_front_page() || !$page_sub_header_status){ ?>
			<!-- HEADER START -->
			<header class="site-header header-style-4 mobile-sider-drawer-menu">
				<div class="top-bar">
					<div class="container">
						<div class="d-flex justify-content-between">
							<div class="wt-topbar-left d-flex flex-wrap align-content-start">
								<ul class="wt-topbar-info e-p-bx text-white">
									<li><?php echo esc_attr($timings); ?></li>
								</ul>
							</div>
							<div class="wt-topbar-right d-flex flex-wrap align-content-center">
								<ul class="wt-topbar-info-2 e-p-bx text-white">
									<li><i class="fa fa-phone"></i><?php echo esc_attr($contact_number); ?></li>
									<li><i class="fa fa-envelope"></i><?php echo esc_attr($email_address); ?></li>
								</ul>
								<ul class="social-icons">
									<?php
									if($google_social <> ''){ ?>
										<li><a href="<?php echo esc_url($google_social); ?>" class="fa fa-google"></a></li>
										<?php
									}
									
									if($linkedin_social <> ''){ ?>
										<li><a href="<?php echo esc_url($linkedin_social); ?>" class="fa fa-linkedin"></a></li>
										<?php
									}
									if($twitter_social <> ''){ ?>
										<li><a href="<?php echo esc_url($twitter_social); ?>" class="fa fa-twitter"></a></li>
										<?php
									}
									if($facebook_social <> ''){ ?>
										<li><a href="<?php echo esc_url($facebook_social); ?>" class="fa fa-facebook"></a></li>
										<?php
									}
									if($youtube_social <> ''){ ?>
										<li><a href="<?php echo esc_url($youtube_social); ?>" class="fa fa-youtube"></a></li>
										<?php
									}
									if($instagram_social <> ''){ ?>
										<li><a href="<?php echo esc_url($instagram_social); ?>" class="fa fa-instagram"></a></li>
										<?php
									}?>
								</ul>
							</div>
						</div>
					</div>
				</div>
			   <div class="sticky-header main-bar-wraper  navbar-expand-lg">
					<div class="main-bar">                       
						<div class="container clearfix"> 
					   
							<div class="logo-header">
								<div class="logo-header-inner logo-header-one">
									<a href="<?php echo esc_url(home_url('/')); ?>">
										<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
									</a>
								</div>
							</div>  
							<!-- NAV Toggle Button -->
							<button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
								<span class="sr-only"><?php echo esc_attr__('Toggle navigation','industroz'); ?></span>
								<span class="icon-bar icon-bar-first"></span>
								<span class="icon-bar icon-bar-two"></span>
								<span class="icon-bar icon-bar-three"></span>
							</button>   
							<div class="extra-nav header-2-nav">
								<div class="extra-cell">
									<?php
									if($search == 'enable'){ ?>
										<div class="header-search">
											<a href="javascript:void(0);" class="header-search-icon"><i class="fa fa-search"></i></a>
										</div> 
										<?php
									} 
									if($request_form == 'enable'){ ?>
										<div class="header-nav-request">
											<a id="contact-slide-show" href="#" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
										</div>
										<?php
									}else{ ?>
										<div class="header-nav-request">
											<a href="<?php echo esc_url($button_url); ?>" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
										</div>
										<?php
									}  ?>
								</div>
							 </div> 
							<!-- MAIN Vav -->
							<div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
								<?php
								// navigation
								if( has_nav_menu('primary') ){
									$args = array(
										'menu'=>'',
										'menu_class'=> 'nav navbar-nav',
										'menu_id'=> '',
										'container'=> 'ul',
										'container_class'=> '',
										'container_id'=> '',
										'fallback_cb'=> '',
										'before'=> '',
										'after'=> '',
										'link_before'=> '',
										'link_after'=> '',
										'echo'=> 'true',
										'depth'=> '0',
										'theme_location'=>'primary', 
										'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
										'item_spacing'=>'preserve'	 
									);
									wp_nav_menu( $args);
								} ?>
							</div>
							<!-- SITE Search -->
							<div id="search-toggle-block">
								<div id="search"> 
									<?php get_search_form(); ?>
								</div>
							</div>
						</div>    
					</div>
				</div>
			</header>	
			<?php
		}else{
			if(isset($inner_pages_logo) && !empty($inner_pages_logo)){
				$inner_logo = $inner_pages_logo;	
			}else{
				$inner_logo = get_template_directory_uri() . '/assets/images/logo.png';
			} ?>
			
			<header class="site-header header-style-2 mobile-sider-drawer-menu">
      
				<div class="top-bar site-bg-secondry">
					<div class="container">

						<div class="d-flex justify-content-between">
							<div class="wt-topbar-left d-flex flex-wrap align-content-start">
								<ul class="wt-topbar-info e-p-bx text-white">
									<li><?php echo esc_attr($timings); ?></li>
								</ul>
							</div>
							
							<div class="wt-topbar-right d-flex flex-wrap align-content-center">
								<ul class="wt-topbar-info-2 e-p-bx text-white">
									<li><i class="fa fa-phone"></i><?php echo esc_attr($contact_number); ?></li>
									<li><i class="fa fa-envelope"></i><?php echo esc_attr($email_address); ?></li>
								</ul> 
				
								<ul class="social-icons">
									<?php
									if($google_social <> ''){ ?>
										<li><a href="<?php echo esc_url($google_social); ?>" class="fa fa-google"></a></li>
										<?php
									}
									
									if($linkedin_social <> ''){ ?>
										<li><a href="<?php echo esc_url($linkedin_social); ?>" class="fa fa-linkedin"></a></li>
										<?php
									}
									if($twitter_social <> ''){ ?>
										<li><a href="<?php echo esc_url($twitter_social); ?>" class="fa fa-twitter"></a></li>
										<?php
									}
									if($facebook_social <> ''){ ?>
										<li><a href="<?php echo esc_url($facebook_social); ?>" class="fa fa-facebook"></a></li>
										<?php
									}
									if($youtube_social <> ''){ ?>
										<li><a href="<?php echo esc_url($youtube_social); ?>" class="fa fa-youtube"></a></li>
										<?php
									}
									if($instagram_social <> ''){ ?>
										<li><a href="<?php echo esc_url($instagram_social); ?>" class="fa fa-instagram"></a></li>
										<?php
									}?>
								</ul> 
							</div>
						</div>
					</div>
				</div>    
				<div class="sticky-header main-bar-wraper  navbar-expand-lg">
					<div class="main-bar">                       
						<div class="container clearfix"> 
							<div class="logo-header">
								<div class="logo-header-inner logo-header-one">
									<a href="<?php echo esc_url(home_url('/')); ?>">
										<img src="<?php echo esc_url($inner_logo); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
									</a>
								</div>
							</div>  
							
							<!-- NAV Toggle Button -->
							<button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
								<span class="sr-only"><?php echo esc_attr__('Toggle navigation','industroz'); ?></span>
								<span class="icon-bar icon-bar-first"></span>
								<span class="icon-bar icon-bar-two"></span>
								<span class="icon-bar icon-bar-three"></span>
							</button> 
							<div class="extra-nav header-2-nav">
								<div class="extra-cell">
									<?php
									if($search == 'enable'){ ?>
										<div class="header-search">
											<a href="javascript:void(0);" class="header-search-icon"><i class="fa fa-search"></i></a>
										</div> 
										<?php
									}
									if($request_form == 'enable'){ ?>
										<div class="header-nav-request">
											<a id="contact-slide-show" href="#" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
										</div>
										<?php
									}else{ ?>
										<div class="header-nav-request">
											<a href="<?php echo esc_url($button_url); ?>" class="contact-slide-show"><?php echo esc_attr($button_text); ?> </a>
										</div>
										<?php
									}  ?>
								</div>
							 </div>                                                                       

							 
							<!-- MAIN Vav -->
							<div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
								<?php
								// navigation
								if( has_nav_menu('primary') ){
									$args = array(
										'menu'=>'',
										'menu_class'=> 'nav navbar-nav',
										'menu_id'=> '',
										'container'=> 'ul',
										'container_class'=> '',
										'container_id'=> '',
										'fallback_cb'=> '',
										'before'=> '',
										'after'=> '',
										'link_before'=> '',
										'link_after'=> '',
										'echo'=> 'true',
										'depth'=> '0',
										'theme_location'=>'primary', 
										'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
										'item_spacing'=>'preserve'	 
									);
									wp_nav_menu( $args);
								} ?>

							</div>
							<?php
							if($search == 'enable'){ ?>
								<!-- SITE Search -->
								<div id="search-toggle-block">
									<div id="search"> 
										<?php get_search_form(); ?>
									</div>
								</div>                                
								<?php
							} ?>
						</div>    
					</div>  
				</div>
				
			</header>
			
			<?php
		} 
	}else if(isset($header_style) && $header_style == 'header-5'){
		$header_info = get_field('header_info', 'option');
		?>
		<!-- HEADER START -->
        <header class="site-header header-style-11  mobile-sider-drawer-menu">
            <div class="header-style-11-content">
                 <div class="header-middle-wraper">     
                    <div class="container">
                        <div class="header-middle d-flex justify-content-between align-items-center">
                            <div class="logo-header">
                                <div class="logo-header-inner logo-header-one">
                                    <a href="<?php echo esc_url(home_url('/')); ?>">
										<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
									</a>
                                </div>
                            </div>
                            <div class="header-info-wraper">
                                <div class="header-info">
                                    <ul>
                                        <?php
										foreach($header_info as $info){ ?>
											<li>
												<div class="wt-icon-box-wraper  left">
													<div class="wt-icon-box-xs site-bg-primary radius">
														<span class="icon-cell site-text-white"><i class="<?php echo esc_attr($info['info_icon_class']); ?>"></i></span>
													</div>
													<div class="icon-content">
														<p><?php echo esc_attr($info['info_caption']); ?></p>
														<h4 class="wt-tilte"><?php echo esc_attr($info['info_title']); ?></h4>
													</div>
												</div>
											</li>	
											<?php
										} ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                 </div>
                <div class="header-bottom"> 
                    <div class="sticky-header main-bar-wraper  navbar-expand-lg">
                        <div class="main-bar header-bottom">
                            <div class="container-block clearfix">
                                <div class="navigation-bar">
                                    <!-- NAV Toggle Button -->
                                    <button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
                                        <span class="sr-only">Toggle navigation</span>
                                        <span class="icon-bar icon-bar-first"></span>
                                        <span class="icon-bar icon-bar-two"></span>
                                        <span class="icon-bar icon-bar-three"></span>
                                    </button> 
                                    <!-- MAIN Vav -->
                                    <div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-between">
                                        <?php
										// navigation
										if( has_nav_menu('primary') ){
											$args = array(
												'menu'=>'',
												'menu_class'=> 'nav navbar-nav',
												'menu_id'=> '',
												'container'=> 'ul',
												'container_class'=> '',
												'container_id'=> '',
												'fallback_cb'=> '',
												'before'=> '',
												'after'=> '',
												'link_before'=> '',
												'link_after'=> '',
												'echo'=> 'true',
												'depth'=> '0',
												'theme_location'=>'primary', 
												'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
												'item_spacing'=>'preserve'	 
											);
											wp_nav_menu( $args);
										} ?> 
                                    </div>
                                    <!-- Header Right Section-->
                                    <div class="extra-nav header-1-nav">
                                        <?php
										if($search == 'enable'){ ?>
											<div class="extra-cell one">
												<div class="header-search">
													<a href="#search-two" class="header-search-icon"><i class="fa fa-search"></i></a>
												</div>    
											</div>
											<?php
										} ?>
                                        <div class="extra-cell two">
                                            <a href="javascript:;" class="wt-cart cart-btn" title="Your Cart">
                                                <span class="link-inner">
                                                    <span class="woo-cart-total"> </span>
                                                    <span class="woo-cart-count">
                                                        <i class="fa fa-shopping-bag"></i>
                                                        <span class="shopping-bag wcmenucart-count "><div id="mini-cart-count"></div></span>
                                                    </span>
                                                </span>
                                            </a>
                                            <div class="cart-dropdown-item-wraper clearfix">
                                                <div class="nav-cart-content">
                                                    <?php dynamic_sidebar('Mini Cart'); ?>
                                                </div>
                                            </div>                            
                                        </div>                                
                                    </div>
                                </div>
                            </div>   
                        </div>

						<?php
						if($search == 'enable'){ ?>
							<!-- SITE Search -->
							<div id="search-two"> 
								<span class="close"></span>
								<?php get_search_form(); ?>
							</div> 
							<?php
						} ?>
                    </div>
                </div>
            </div>
        </header>
		<?php
	} else{
		
		$logo_url = get_template_directory_uri() . '/assets/images/logo.png';
		
		?>
		<!-- HEADER START -->
        <header class="site-header header-style-2 mobile-sider-drawer-menu"> 
			<div class=" main-bar-wraper  navbar-expand-lg">
                <div class="main-bar">                       
					<div class="container clearfix"> 
						<div class="logo-header">
							<div class="logo-header-inner logo-header-one">
								<a href="<?php echo esc_url(home_url('/')); ?>">
									<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" />
								</a>
							</div>
						</div>  
						<!-- NAV Toggle Button -->
						<button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
							<span class="sr-only"><?php echo esc_attr__('Toggle navigation','industroz'); ?></span>
							<span class="icon-bar icon-bar-first"></span>
							<span class="icon-bar icon-bar-two"></span>
							<span class="icon-bar icon-bar-three"></span>
						</button>
						<!-- MAIN Vav -->
						<div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
							<?php
							// navigation
							if( has_nav_menu('primary') ){
								$args = array(
									'menu'=>'',
									'menu_class'=> 'nav navbar-nav',
									'menu_id'=> '',
									'container'=> 'ul',
									'container_class'=> '',
									'container_id'=> '',
									'fallback_cb'=> '',
									'before'=> '',
									'after'=> '',
									'link_before'=> '',
									'link_after'=> '',
									'echo'=> 'true',
									'depth'=> '0',
									'theme_location'=>'primary', 
									'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
									'item_spacing'=>'preserve'	 
								);
								wp_nav_menu( $args);
							}else{
								$args = array(
									'menu'=>'',
									'menu_class'=> 'nav navbar-nav',
									'menu_id'=> '',
									'container'=> 'ul',
									'container_class'=> '',
									'container_id'=> '',
									'fallback_cb'=> '',
									'echo'        => true,
									'show_home'   => true,
									'before'=> '',
									'after'=> '',
									'link_before'=> '',
									'link_after'=> '',
									'depth'=> '0',
									'items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>', 	
									'item_spacing'=>'preserve',
								);
								wp_nav_menu( $args);
							} ?>
						</div>
					</div>    
				</div>  
            </div>
        </header>
		<?php
	}