<?php
	/**
	 * Color Schemes this theme.
	 *
	 * @package WordPress
	 * @subpackage Industroz
	 * @since 1.0.0
	 */
	
	if(class_exists('ACF')){
		
		function industroz_color_scheme() {
			$global_custom_css = '';
			$primary_color_scheme = get_field('primary_color_scheme','option');
			$secondary_color_scheme = get_field('secondary_color_scheme','option');
			
			$logo_width = get_field('logo_width','option');
			$logo_height = get_field('logo_height','option');
			$logo_top_margin = get_field('logo_top_margin','option');
			$logo_bottom_margin = get_field('logo_bottom_margin','option');
			
			if(isset($logo_width) && !empty($logo_width)){
				$global_custom_css .= '
					.logo-header-inner a img{width:'.esc_attr($logo_width).'px}
				';
			}
			
			if(isset($logo_height) && !empty($logo_height)){
				$global_custom_css .= '
					.logo-header-inner a img{height:'.esc_attr($logo_height).'px}
					
				';
			}
			
			if(isset($logo_top_margin) && !empty($logo_top_margin)){
				$global_custom_css .= '
					.logo-header-inner a{margin-top:'.esc_attr($logo_top_margin).'px; display: inline-block;}
				';
			}
			
			if(isset($logo_bottom_margin) && !empty($logo_bottom_margin)){
				$global_custom_css .= '
					.logo-header-inner a{margin-bottom:'.esc_attr($logo_bottom_margin).'px; display: inline-block;}
				';
			}
			
			$global_custom_css .= '
			/*===================== 
				Premery bg color 
			=====================*/

			::selection {
			 background: '.esc_attr($primary_color_scheme).' ;
			}
			::-moz-selection {
			 background: '.esc_attr($primary_color_scheme).' ;
			}
			::-webkit-selection {
			  background: '.esc_attr($primary_color_scheme).' ;
			}

			/* Primary background color*/
			.site-list-style-one-new li::after,
			.date-style-3 .wt-post-meta ul li.post-category span,
			.industroz-pagination a:hover, 
			.industroz-pagination span:hover, 
			.industroz-pagination .page-numbers.current,
			.industroz-blog-grid.style1.date-style-2 .wt-post-meta ul li.post-category span,
			.blog-post.date-style-2.industroz-blog-modern .wt-post-meta ul li.post-category span, 
			.industroz-blog-grid.date-style-2 .wt-post-meta ul li.post-category span,
			.blog-without-image.date-style-2.industroz-blog-modern-right .wt-post-meta ul li.post-category span,
			.left .wt-small-separator div.sep-leaf-right:before, 
			.left .wt-small-separator div.sep-leaf-left:before, 
			.center .wt-small-separator div.sep-leaf-right::before, 
			.center .wt-small-separator div.sep-leaf-left::before,
			.footer-dark .social-icons li a, .pricingtable-highlight, 
			.icon-font-block, .service-side-btn a.btn-block:hover, 
			.project-img-effect-1, 
			.owl-carousel .owl-dots .owl-dot.active span, 
			.owl-carousel .owl-dots .owl-dot:hover span, 
			.owl-prev:hover, .owl-prev:active, 
			.owl-prev:focus, .owl-next:hover, 
			.owl-next:active, .owl-next:focus, 
			.header-style-2 .top-bar .wt-topbar-info li:first-child:before, 
			.header-style-2 .header-nav-request a, 
			.all_services ul li a:hover, .all_services ul li a.active, 
			.service-border-box:hover::before, 
			.site-bg-primary, 
			.wt-tabs.bg-tabs .nav-tabs > li > a,
			.site-list-style-two li::after,.search-bx button,
			.site-list-style-one li::after,.since-year strong, 
			.date-style-2 .wt-post-meta ul li.post-category span,
			.blog-post blockquote,.your-order-list ul li:last-child,
			.header-style-1 .header-nav .nav > li:hover > a,
			.header-style-1 .top-bar .wt-topbar-info li:first-child:before,
			.header-style-1 .header-nav-request a,
			.services-section-content-right,
			.testimonial-1-content-outer::after,
			.play-now .icon,
			.header-style-3 .top-bar .wt-topbar-info li:first-child:before,
			.header-style-3 .header-nav-request a,
			.h-category,.animate_line:hover::after, 
			.animate_line:hover::before,
			.hover-effect-content .mfp-link:hover,
			.wt-box.service-box-1:before,
			.service-side-btn.site-bg-secondry,
			.header-style-1 .top-bar .wt-topbar-info li:first-child:before,
			.latest-blog-3.large-date .post-date,
			.card1:before,
			.about-max-two:after,
			.description-list li i,
			.sr-btn-filter-wrap li.btn-active.sr-btn-circle,
			.post-style-12 .wt-post-info:before,
			.service-icon-box-three:hover,
			.wt-team-2 .team-social-icon li a,
			.project-new-2 .project-new-content2 span,
			.project-new-2 .project-view .project-view-btn i,
			.half-wide-bg,
			.header-style-4 .header-nav-request a{
				background-color:'.esc_attr($primary_color_scheme).' ;
			}
			.site-button{background-color:'.esc_attr($primary_color_scheme).' !important}

			/*===================== 
				Primary text color 
			=====================*/
			/* Premery text color*/
			.whatWedo-info-section h2 span,
			.since-year strong,
			.date-style-3 .wt-post-readmore a,
			.date-style-3 .wt-post-meta ul li.post-author, 
			.date-style-3 .wt-post-meta ul li.post-date, 
			.date-style-3 .wt-post-meta ul li.post-comment,
			.imghvr-mid .project-new-category,
			.pricingtable-highlight .pricingtable-price .pricingtable-bx .pricingtable-sign,
			.pricingtable-highlight .pricingtable-price .pricingtable-bx,
			.theme-footer .widget_nav_menu ul li a:hover,
			.welcom-to-section-new h2 span,
			ul.checklist li i, ul.checklist2 li i,
			blockquote cite, blockquote span,
			blockquote:after,
			.box-style1 .wt-icon-number span,
			.welcom-to-section h2 span, .welcom-to-section-new h2 span,
			ul.checklist li i, ul.checklist2 li i,
			h1 a:hover, h2 a:hover, h3 a:hover, 
			h4 a:hover, h5 a:hover, h6 a:hover, 
			.header-nav .nav > li:hover > a, 
			.header-nav .nav > li .sub-menu li a:hover, 
			.header-nav .nav > li .sub-menu li:hover > a, 
			header-nav .nav > li .mega-menu > li ul a:hover, 
			.header-nav .nav > li.active > a, 
			.header-nav .nav > li.current-menu-item > a, 
			.header-nav .nav li.has-child.nav-active > a, 
			ol.comment-list li.comment .reply a, 
			.masonry-filter > li.active a, .masonry-filter > li a:hover, 
			.masonry-filter > li a:active, .masonry-filter > li a:focus, 
			.nav-dark.header-nav .nav > li .sub-menu li a:hover, 
			.site-button-link::after, 
			.our-team-two ul li a:hover, 
			.site-text-primary, 
			.footer-dark .widget_address li i,
			.site-footer .widget_services ul li a:hover, 
			.wt-team-1 .team-social-center ul li a:hover, 
			.footer-dark .footer-top a:active, .footer-dark .footer-top a:focus, 
			.footer-dark .footer-top a:hover, .header-style-2 .header-nav .nav > li > a:hover, 
			blockquote .fa-quote-left, .testimonial-2 .testimonial-text .fa-quote-left, 
			.wt-breadcrumb li:last-child, .video3-section-blockquote .fa-quote-left,.wt-product-box .price ins,
			.widget .wt-post-meta li,.widget_archives ul li a:hover,.widget_services ul li a:hover,
			.widget_tag_cloud a:hover, .since-year2 strong,.project-2-block .wt-title a:hover,
			.project-stamp .project-stamp-list li a i, .date-style-2 .wt-post-meta ul li.post-date, 
			.date-style-2 .wt-post-meta ul li.post-comment, .date-style-2 .wt-post-readmore a,
			.video-section-blockquote2 .fa-quote-left,.testimonial-1 .testimonial-text .fa-quote-left,
			.footer-dark.footer-style2 .footer-bottom .copyrights-nav li a:hover,
			.wt-team-arc2 .team-social-icon li a:hover,
			.latest-blog-3 .wt-post-readmore a,
			.testimonial-5 .quote-left::before,
			.wt-team-10 .team-name a:hover,
			.wt-team-10 .team-social-center ul li a:hover,
			.service-box-style12 .service-title-large a:hover,
			.testimonial-12-content .testimonial-12 .testimonial-info .testimonial-position,
			.service-box-style2 .service-title-large a:hover,
			.wt-team-2 .team-detail p,
			.testimonial-11-content .testimonial-11 .testimonial-info .testimonial-position,
			.header-style-11 .header-nav .nav > li:hover > a,
			.header-style-11 .header-nav .nav > li .sub-menu li:hover > a,
			.header-style-3 .header-nav .nav > li > a:hover{
				color:'.esc_attr($primary_color_scheme).' ;
			}
			
			.wt-box.service-box-1:hover span.icon-cell.text-white{
				color:'.esc_attr($primary_color_scheme).' !important ;
			}

			/*-----border color-----*/
			.colarge-1-new:before,
			.blog-post.blog-full-detail blockquote,
			.industroz-pagination a, .industroz-pagination span,
			.pricingtable-highlight,
			.box-style1-title,
			.wt-team-1 .team-social-center, 
			.header-style-2 #search-toggle-block, 
			.testimonial-2 .testimonial-text, 
			.video-section-blockquote, .service-box-title, 
			.video3-section-blockquote,.colarge-2,.colarge-1::before, 
			.colarge-1::after,.project-2-block .wt-title,
			.project-stamp .project-stamp-list,
			.project-1-inner-pic::after,
			.line-filter .filter-content,
			.video-section-blockquote2,
			.rev-title-left-border,
			.icon-circle-box .icon-circle:before,
			.icon-circle-box .icon-circle:after,
			.about-two .about-year .about-year-info span,
			.client-logo2-media:before,
			.client-logo2-media:after,
			.header-style-3 #search-toggle-block{
				border-color:'.esc_attr($primary_color_scheme).';
			}

			/*-----Secondry background color-----*/
			.site-button-secondry, .acc-bg-gray .acod-head .indicator, 
			.project-img-effect-1 a.mfp-link, 
			.header-style-2 .header-search, .owl-prev, 
			.owl-next, 
			.all_services, .site-bg-secondry, 
			.wt-tabs.bg-tabs .nav-tabs > li > a.active, 
			.overlay-icon a,.header-style-3 .header-search,
			.footer-dark.footer-style2 .footer-top,.contact-info-section,
			.header-style-4 .header-search{
				background-color:'.esc_attr($secondary_color_scheme).';
			}
			
			/*-----Secondry text color-----*/
			.site-text-secondry,
			.post-title a,
			h2,
			a,
			.site-list-style-one-new li{
				color:'.esc_attr($secondary_color_scheme).';
			}

			/* Buttons hover bg color*/
			.site-button:hover, .site-button:focus, .site-button:active, .nl-search-btn:hover{
				background-color:#b84915;
			}

			/*===================== 
				play btn
			 =====================*/


			.play-now .ripple, .play-now .ripple:before, .play-now .ripple:after {
				-webkit-box-shadow: 0 0 0 0 '.esc_attr($primary_color_scheme).';
				-moz-box-shadow: 0 0 0 0 '.esc_attr($primary_color_scheme).';
				-ms-box-shadow: 0 0 0 0 '.esc_attr($primary_color_scheme).';
				-o-box-shadow: 0 0 0 0 '.esc_attr($primary_color_scheme).';
				box-shadow: 0 0 0 0 '.esc_attr($primary_color_scheme).';
			}

			.whatWedo-media-inner{
			background: rgb(252,93,22); /* Old browsers */
			background: -moz-linear-gradient(left,  rgba(252,93,22,1) 0%, rgba(2,23,60,1) 100%); /* FF3.6-15 */
			background: -webkit-linear-gradient(left,  rgba(252,93,22,1) 0%,rgba(2,23,60,1) 100%); /* Chrome10-25,Safari5.1-6 */
			background: linear-gradient(to right,  rgba(252,93,22,1) 0%,rgba(2,23,60,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
			filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="#fc5d16", endColorstr="#02173c",GradientType=1 ); /* IE6-9 */

			}

			.whatWedo-media-content::after{
				border-top-color:'.esc_attr($secondary_color_scheme).';
			}

			.footer-dark.footer-style2 .footer-bottom {
				background-color:#001029;
				border-top: 1px solid #001029;
			}

			/*REVOLUTION SLIDER ARROW BUTTON*/
			#welcome_wrapper .metis.tparrows{background-color:'.esc_attr($primary_color_scheme).' ;}

			';
			
			if(!empty($primary_color_scheme) || !empty($secondary_color_scheme)){
				wp_enqueue_style('industroz-dynamic-styles',get_template_directory_uri() . '/assets/css/inline-style.css');
				wp_add_inline_style( 'industroz-dynamic-styles', $global_custom_css);	
			}
			
		}
		
		add_action( 'wp_enqueue_scripts', 'industroz_color_scheme' );
	}