<?php
/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Industroz
 * @since 1.0.0
 */

get_header();
	
?>

<div class="section-full  p-t80 bg-white-new">
	<div class="container">
		<!-- BLOG SECTION START -->
		<div class="section-content">
			<?php
			if ( have_posts() ) {
				while ( have_posts() ) {
					the_post();
					global $post;
					$comment_count = wp_count_comments( $post->ID );
					$comment_count = $comment_count->total_comments;
					if($comment_count == 1){
						$industroz_comment_format = esc_attr__('Comment','industroz');
					}else{
						$industroz_comment_format = esc_attr__('Comments','industroz');
					}
					
					$default_terms = get_the_term_list($post->ID,'post_tag');
					$post_categories = wp_get_post_categories( $post->ID );
					$post_tags = wp_get_post_tags( $post->ID, 'post_tag');
					$post_format = '';
					
					$post_detail_feature_image = '';
					$post_detail_date = '';
					$post_detail_author = '';
					$post_detail_meta = '';
					$post_detail_next__previous_button = '';
					$post_detail_recommended_post_button = '';
					
					if(class_exists('ACF')){
						$post_format = get_field('post_format',$post->ID);
						
						if($post_format <> ''){
							if($post_format == 'youtube-video'){
								$format_value = get_field('add_youtube_video_url',$post->ID);
							}else if($post_format == 'vimeo-video'){
								$format_value = get_field('add_vimeo_video_url',$post->ID);
							}else if($post_format == 'gallery'){
								$format_value = get_field('add_image_gallery',$post->ID);
							}else if($post_format == 'soundcloud-audio'){
								$format_value = get_field('audio_soundcloud_embed_code',$post->ID);
							}else{
								$image_src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID),'full' );
								$format_value = '';
							}	
						}
						
						$post_detail_feature_image = get_field('post_detail_feature_image','option');
						$post_detail_date = get_field('post_detail_date','option');
						$post_detail_author = get_field('post_detail_author','option');
						$post_detail_meta = get_field('post_detail_meta','option');
						$post_detail_next__previous_button = get_field('post_detail_next__previous_button','option');
						$post_detail_recommended_post_button = get_field('post_detail_recommended_post_button','option');
					}
					
					if(has_post_thumbnail()){
						$img_class = '';
					}else{
						$img_class = 'no_img_detail';
					}
					?>
					<div class="post-content-parent">
						<?php
						if($post_detail_feature_image <> 'false'){
							if(isset($post_format) && $post_format <> ''){
								if($post_format == 'image'){
									if(has_post_thumbnail()){
										?>
										<div class="wt-post-media wt-img-effect zoom-slow">
											<?php echo get_the_post_thumbnail($post->ID,'full' );?> 
										</div>
										<?php
									}
								}else{ ?>
									<?php echo industroz_get_post_thumbnail($post->ID,$post_format,$format_value,'full');  ?>
									<?php
								}	
							}else{
								if(has_post_thumbnail()){
									?>
									<div class="wt-post-media wt-img-effect zoom-slow">
										<?php echo get_the_post_thumbnail($post->ID,'full' );?> 
									</div>
									<?php
								} 
							}	
						}
						 ?>
						<div class="row justify-content-center">
							<div class="col-lg-8 col-md-8 col-sm-12">
								<div class="blog-post blog-full-detail blog-lg">
									<div class="blog-full-detail-info <?php echo esc_attr($img_class); ?>">
										<div class="wt-post-info  bg-white">
											<div class="wt-post-title ">
												<h2 class="post-title"><?php the_title(); ?></h2>
											</div>
											<?php
											if($post_detail_meta <> 'false'){ ?>
												<div class="post-meta">
													<span class="posted-on"><?php echo esc_attr__('Posted on','industroz'); ?>
														<a href="#"><?php echo esc_attr(get_the_date(get_option( 'date_format' ))); ?></a>
													</span>
													<span class="byline"> <?php echo esc_attr__('by','industroz'); ?> <span class="author">
														<?php echo get_the_author_link(); ?></span>
													</span>
													<?php
													if(function_exists('gridvalley_get_post_views')){ ?>
														<span class="seperator">|</span>
														<span class="post-views">  <?php echo gridvalley_get_post_views($post->ID); ?> <?php echo esc_attr__('Views','industroz'); ?> </span>	
														<?php 
													}
													?>
													
												</div>
												<?php
											} ?>
											
											<div class="wt-post-text">
												<?php 
												the_content();
												wp_link_pages( array(
													'before'      => '<div class="page-links"><span class="page-links-title">' . esc_attr__( 'Pages:', 'industroz' ) . '</span>',
													'after'       => '</div>',
													'link_before' => '<span class="page-number">',
													'link_after'  => '</span>',
													'pagelink'    => '%',
													'separator'   => '',
												) ); ?>
											</div>
										</div>
										<?php 
										if(has_tag()){
											$custom_count_tags = 0;
											$count_post_tags = count($post_tags);											
											?>
											<div class="tags-inline">
												<span class="cat-links"><?php echo esc_attr__('Posted in:','industroz'); ?> 
													<?php
													if(isset($post_tags) && $post_tags <> ''){ ?>
														<?php
														foreach($post_tags as $t){
															$custom_count_tags++;
															if($custom_count_tags == $count_post_tags){
																$sep_format = ' ';
															}else{
																$sep_format = ' ';
															}
															
															$tag = get_tag( $t ); ?>
															<a href="<?php echo get_tag_link($t); ?>"><?php echo esc_attr($tag->name); ?></a><?php echo esc_attr($sep_format); ?>
															<?php
														}
													}
													?>
												</span> 
											</div>
											<?php 
										}
										
										if(function_exists('industroz_get_social_shares')){ ?>
											<div class="share-wrapper">
												<div class="industroz-social-share">
													<a href="#" class="post-share"><i class="fa fa-share fa-fw"></i></a>
													<?php echo industroz_get_social_shares($post->ID); ?>
												</div>
												<div class="comments-wrapper">
													<a href="#">
													<i class="fa fa-comments"></i>
													<span><?php echo esc_attr($comment_count); ?></span>
													</a>
												</div>
											</div>
											<?php
										} 
										if($post_detail_next__previous_button <> 'false'){
											if(get_next_post() || get_previous_post()){
												$prevPost = get_previous_post(); 
												if(!empty($prevPost)){
													
													if(has_post_thumbnail($prevPost->ID)){
														$prev_thumbnail_id = get_post_thumbnail_id( $prevPost->ID );
														$prev_image = wp_get_attachment_image($prev_thumbnail_id, array(480, 310));
														$prev_title_only = 'next-prev-title';
													}else{
														$prev_image = '';
														$prev_title_only = 'no-image-present';
													}
													
												}else{
													$prev_image = '';
													$prev_title_only = 'no-image-present';
												}
												$nextPost = get_next_post(); 
												if(!empty($nextPost)){
													
													if(has_post_thumbnail($nextPost->ID)){
														$next_thumbnail_id = get_post_thumbnail_id( $nextPost->ID );
														$next_image = wp_get_attachment_image($next_thumbnail_id, array(480, 310));
														$next_title_only = 'next-prev-title';
													}else{
														$next_image = '';
														$next_title_only = 'no-image-present';
													}
												}else{
													$next_image = '';
													$next_title_only = 'no-image-present';
												}
												?>
												<div class="industroz-post-blocks">
													<div class="post-nav">
														<div class="prev <?php echo esc_attr($prev_title_only); ?>">
															<?php previous_post_link('<div class="post-nav-image nav-prev">'.$prev_image.'</div><div class="prev-post">%link</div>', '<span> '.esc_attr__('Previous Post', 'industroz').'</span><strong>%title</strong>', true); ?>
														</div>
														<div class="next <?php echo esc_attr($next_title_only); ?>">
															<?php next_post_link('<div class="post-nav-image nav-next">'.$next_image.'</div><div class="next-post">%link</div>', '<span>'.esc_attr__('Next Post', 'industroz').' </span><strong>%title</strong>', true); ?>
														</div>
													</div>
												</div>
												<?php	
											}	
										}  ?>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php 
					if($post_detail_author <> 'false'){
						if(get_the_author_meta('description') <> ''){ ?>
							<div class="post-author-detail">
								<figure>
								   <?php echo get_avatar(get_the_author_meta('ID'), 99); ?>
								</figure>
								<div class="author_meta">
									<h5><?php the_author_posts_link(); ?></h5>
									<p><?php echo esc_attr(get_the_author_meta('description')); ?></p>
								</div>
							</div>
							<?php 
						}	
					}
					 ?>
					<?php comments_template( '', true ); ?>	
					<?php
				}
			} 	?> 
		</div>
	</div>
</div>

<?php get_footer(); ?>