<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.8.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 *
 * @see woocommerce_default_product_tabs()
 */
$product_tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $product_tabs ) ) : ?>

	<div class="wt-tabs border bg-tabs">
		<ul class="nav nav-tabs" role="tablist">
			<?php
			$custom_counter = 0;
			foreach ( $product_tabs as $key => $product_tab ) : ?>
				<li><a data-toggle="tab" href="#web-design-<?php echo esc_attr( $key ); ?>" class="<?php echo esc_attr( $key ); ?>_tab <?php echo esc_attr($custom_counter == 0 ? 'active': ''); ?>"><?php echo wp_kses_post( apply_filters( 'woocommerce_product_' . $key . '_tab_title', $product_tab['title'], $key ) ); ?></a></li>
			<?php
			$custom_counter++;
			endforeach; ?>
		</ul>
		<div class="tab-content">
			<?php
			$custom_counter = 0;
			foreach ( $product_tabs as $key => $product_tab ) : ?>
				<div id="web-design-<?php echo esc_attr( $key ); ?>" class="tab-pane <?php echo esc_attr($custom_counter == 0 ? 'active': ''); ?>">
					<div class=" p-a10">
						<?php
						if ( isset( $product_tab['callback'] ) ) {
							call_user_func( $product_tab['callback'], $key, $product_tab );
						}
						?>
					</div>
				</div>
			<?php
			$custom_counter++;
			endforeach; ?>
		</div>
		<?php do_action( 'woocommerce_product_after_tabs' ); ?>
	</div>
<?php endif; ?>
